Update affiliate
Updates an existing affiliate.
affiliates/{id}Authorization
AuthorizationRequiredBearer <token>
API key authentication. Use your API key as the bearer token. The organization that owns the key must have an active or trialing PromoteKit subscription; otherwise requests fail with a 403 subscription_error.
In: header
Request Body
application/jsonRequiredemailstring
Affiliate email
"email"first_namestring
First name
last_namestring
Last name
payout_emailstring
Payout email address
"email"ref_codestring
Unique code that goes at the end of the affiliate link
promo_codestring
Stripe promo code (will be generated if it doesn't already exist in Stripe)
campaign_idstring
Campaign UUID to assign the affiliate to
"uuid"approvedboolean
Whether the affiliate has been approved to start promoting
bannedboolean
Whether the affiliate is banned. Banned affiliates are not eligible for future commissions and payouts.
detailsstring
Additional details
new_paid_referral_notificationsboolean
Whether the affiliate receives email alerts when they make a new paid referral
Path Parameters
idRequiredstring
Resource UUID
"uuid"Affiliate updated